import com.burtbeckwith.clusterdemo.ServerAwareFileAppender

grails.config.locations = ["classpath:${appName}-config.groovy",
                           "file:./${appName}-config.groovy"]

if (System.properties["${appName}.config.location"]) {
	grails.config.locations << 'file:' + System.properties["${appName}.config.location"]
}

grails.mime.file.extensions = true // enables the parsing of file extensions from URLs into the request format
grails.mime.use.accept.header = false
grails.mime.types = [
	html: ['text/html','application/xhtml+xml'],
	xml: ['text/xml', 'application/xml'],
	text: 'text/plain',
	js: 'text/javascript',
	rss: 'application/rss+xml',
	atom: 'application/atom+xml',
	css: 'text/css',
	csv: 'text/csv',
	all: '*/*',
	json: ['application/json','text/json'],
	form: 'application/x-www-form-urlencoded',
	multipartForm: 'multipart/form-data'
]

// The default codec used to encode data with ${}
grails.views.default.codec = 'none' // none, html, base64
grails.views.gsp.encoding = 'UTF-8'
grails.converters.encoding = 'UTF-8'

// enabled native2ascii conversion of i18n properties files
grails.enable.native2ascii = true

// set per-environment serverURL stem for creating absolute links
environments {
	production {
		grails.serverURL = 'http://www.changeme.com'
	}
	development {
		grails.serverURL = "http://localhost:8080/$appName"
	}
	test {
		grails.serverURL = "http://localhost:8080/$appName"
	}
}

log4j = {

	appenders {

		console name: 'stdout', layout: pattern(conversionPattern: '[%d{HH:mm:ss,SSS}] %c{1} %m%n')

		appender new ServerAwareFileAppender(
				name: 'logfile', 
				layout: pattern(conversionPattern: '%-27d{dd/MMM/yyyy HH:mm:ss} %-10r %-5p %-20c{1} - %m%n'), 
				file: 'clusterdemo.log')

		appender new ServerAwareFileAppender(
			name: 'fileSQL', 
			layout: pattern(conversionPattern: '%-27d{dd/MMM/yyyy HH:mm:ss} %-10r %-20c{1} - %m%n'), 
			file: 'sql.log')
	}

	error 'org.codehaus.groovy.grails.web.servlet',  //  controllers
	      'org.codehaus.groovy.grails.web.pages', //  GSP
	      'org.codehaus.groovy.grails.web.sitemesh', //  layouts
	      'org.codehaus.groovy.grails.web.mapping.filter', // URL mapping
	      'org.codehaus.groovy.grails.web.mapping', // URL mapping
	      'org.codehaus.groovy.grails.commons', // core / classloading
	      'org.codehaus.groovy.grails.plugins', // plugins
	      'org.codehaus.groovy.grails.orm.hibernate', // hibernate integration
	      'org.springframework',
	      'org.hibernate'

	warn  'org.mortbay.log'

//	debug fileSQL: 'org.hibernate.SQL'
//	trace fileSQL: 'org.hibernate.type'

	root {
//		info 'stdout', 'logfile'
		info 'logfile'
	}
}
