import grails.util.Environment

import org.codehaus.groovy.grails.plugins.quartz.listeners.ExceptionPrinterJobListener
import org.codehaus.groovy.grails.plugins.quartz.listeners.SessionBinderJobListener

import org.springframework.scheduling.quartz.SchedulerFactoryBean

beans = {

	if (Environment.PRODUCTION == Environment.current) {
		// fix the bean definition by pointing at quartz.properties;
		// remove when http://jira.codehaus.org/browse/GRAILSPLUGINS-1207 is fixed
		quartzScheduler(SchedulerFactoryBean) {
			autoStartup = false
			dataSource = ref('dataSource')
			transactionManager = ref('transactionManager')
			configLocation = 'classpath:quartz.properties'

			jobFactory = ref('quartzJobFactory')
			jobListeners = [ref("${SessionBinderJobListener.NAME}")]
			globalJobListeners = [ref("${ExceptionPrinterJobListener.NAME}")]
		}
	}
}
