package com.burtbeckwith.clusterdemo

/**
 * User domain class.
 */
class User implements Serializable {

	private static final long serialVersionUID = 1

	static hasMany = [authorities: Role]
	static belongsTo = Role

	String username
	String passwd
	boolean enabled

	Date dateCreated

	@Override
	String toString() { username }

	static constraints = {
		username blank: false, unique: true
		passwd blank: false
	}

	static mapping = {
		cache true
	}
}
