import grails.util.Environment

eventCreateWarStart = { name, stagingDir ->

	File lib = new File(stagingDir, 'WEB-INF/lib')

	deleteJar lib, 'ehcache-1.5.0' // from Grails
	deleteJars lib, 'hsqldb' // unit test only
	deleteJars lib, 'junit' // unit test only 
	deleteJars lib, 'spring-test' // unit test only
	deleteJars lib, 'oscache' // not used

	ant.copy(file: 'cluster_resources/ehcache_distributed.xml',
			tofile: "$stagingDir/WEB-INF/classes/ehcache.xml", overwrite: true)

	ant.copy(file: 'cluster_resources/quartz.cluster.properties',
			tofile: "$stagingDir/WEB-INF/classes/quartz.properties", overwrite: true)
}

private void deleteJar(libDir, jarName) {
	new File(libDir, jarName + '.jar').delete()
}

private void deleteJars(libDir, jarNameStart) {
	libDir.eachFile { file ->
		if (file.name.startsWith(jarNameStart)) {
			file.delete()
		}
	}
}
