package com.burtbeckwith.clusterdemo;

import org.apache.log4j.DailyRollingFileAppender;

/**
 * Fix for relative log locations.
 *
 * @author Burt
 */
public class ServerAwareFileAppender extends DailyRollingFileAppender {

	/**
	 * {@inheritDoc}
	 * @see org.apache.log4j.FileAppender#setFile(java.lang.String)
	 */
	@Override
	public void setFile(final String file) {

		String appServerHome = System.getProperty("catalina.base");

		String clusterPrefix = "";
		if (appServerHome == null) {
			appServerHome = System.getProperty("jetty.home");
		}
		else {
			clusterPrefix = System.getProperty("catalina.instance");
			if (clusterPrefix == null) {
				clusterPrefix = "";
			}
			else {
				clusterPrefix += "_";
			}
		}

		String prefix;
		if (appServerHome == null) {
			prefix = "log/"; // local file system
		}
		else {
			prefix = appServerHome + "/logs/";
		}

		super.setFile(prefix + clusterPrefix + file);
	}
}
